## EOnlineButton

EOnlineButton

## Synopsis

    struct              EOnlineButton;
    GtkWidget *         e_online_button_new                 (void);
    gboolean            e_online_button_get_online          (EOnlineButton *button);
    void                e_online_button_set_online          (EOnlineButton *button,
                                                             gboolean online);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkButton
                                     +----EOnlineButton

## Implemented Interfaces

EOnlineButton implements AtkImplementorIface, GtkBuildable, GtkActionable and GtkActivatable.

## Properties

      "online"                   gboolean              : Read / Write / Construct

## Description

## Details

### struct EOnlineButton

    struct EOnlineButton;

### e_online_button_new ()

    GtkWidget *         e_online_button_new                 (void);

### e_online_button_get_online ()

    gboolean            e_online_button_get_online          (EOnlineButton *button);

### e_online_button_set_online ()

    void                e_online_button_set_online          (EOnlineButton *button,
                                                             gboolean online);

## Property Details

### The `"online"` property

      "online"                   gboolean              : Read / Write / Construct

The button state is online.

Default value: TRUE